Page MenuHomePhabricator

Replace all usages of <ce> with <chem> on wiki
Closed, ResolvedPublic

Description

After T153606 we have a bit of cleanup to do to get rid of the now deprecated '<ce>' tag name.

At time of writing there are about 240 such usages on en.wiki:

https://en.wikipedia.org/w/index.php?title=Special:Search&profile=default&fulltext=Search&search=insource%3A%2F%5C<%5Cce>%2F

and probably more elsewhere.

Event Timeline

Esanders created this task.Jan 11 2017, 9:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2017, 9:16 PM

FYI this change (ce->chem) hasn't been deployed yet, but we can still get the rename script ready.

<chem> is now live in production. Anyone got any ideas for how best to do this rename?

I did manually in our wiki. There are 57 in commons and 485 in hewiki. AWE seems to be enough, as the fix looks good as regex.

Elitre added a subscriber: Elitre.Mar 6 2017, 6:35 PM

I came here from Help:Displaying a formula#Basics at English Wikipedia, where it says, "A script will be used to replace all <ce> with <chem>." As of today there are 192 articles in English Wikipedia with <ce> in their wikitexts, so I think that would be a good idea. What are the plans, if any, to create and deploy this script?

I've now fixed them all on en wiki. With little help from JavascriptWikiBrowser.

Just a note of caution some uses add a title attribute so a simple replace of <ce> with <chem> and </ce> with </chem> will cause some problems with
<ce title="Stille reaction scheme">{R-X} + R'-SnR''3 ->[\ce{Pd\ catalyst}] {R-R'} + XSnR''3</ce>

Pkra closed this task as Resolved.Dec 7 2018, 8:57 AM
Pkra claimed this task.
Pkra added a subscriber: Pkra.

This appears to have been resolved.